micro_utils.dokka
0.15.1

# MapperRepo

interface MapperRepo<FromKey, FromValue, ToKey, ToValue>

## Types

Companion
Link copied to clipboard
object Companion

## Functions

toInnerKey
Link copied to clipboard
open suspend fun ToKey.toInnerKey(): FromKey
toInnerValue
Link copied to clipboard
open suspend fun ToValue.toInnerValue(): FromValue
toOutKey
Link copied to clipboard
open suspend fun FromKey.toOutKey(): ToKey
toOutValue
Link copied to clipboard
open suspend fun FromValue.toOutValue(): ToValue

## Properties

keyMapper
Link copied to clipboard
open val keyMapper: SimpleSuspendableMapper<FromKey, ToKey>
valueMapper
Link copied to clipboard
open val valueMapper: SimpleSuspendableMapper<FromValue, ToValue>

## Inheritors

SimpleMapperRepo
Link copied to clipboard
MapperReadCRUDRepo
Link copied to clipboard
MapperWriteCRUDRepo
Link copied to clipboard
MapperCRUDRepo
Link copied to clipboard
MapperReadKeyValueRepo
Link copied to clipboard
MapperWriteKeyValueRepo
Link copied to clipboard
MapperKeyValueRepo
Link copied to clipboard
MapperReadKeyValuesRepo
Link copied to clipboard
MapperWriteKeyValuesRepo
Link copied to clipboard
MapperKeyValuesRepo
Link copied to clipboard